Subject: Re: Console GUI Utilities: Bad dll executables.
From: [email-masked] (Eric Britten)

14 Jul 1997 20:10:31 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 4.01 [en] (Win95; I)
Original-To: [email-masked]
X-Priority: 3 (Normal)
Original-Sender: [email-masked]

Thanks for checking out my Console GUI utilities.

I built all the executables on a Windows 95 machine using gcc and the
Minimilist GNUWin32 Package and they work on my machine, but I never
tested them on NT or any other computer.

>From the error message that is below, apparently the gnugui.dll file is
invalid for Windows NT.  There have been many problems posted to this
list regarding producing working dynamic link libraries lately
especially after b18 was released.  I don't know what the problem could
be but I will try to figure it out.

Anyone know what the problem could be?  This is the makefile portion
that produces the library(gnugui.dll).
LIBS=-luser32 -Wl,-subsystem,windows -lcomctl32 -lcomdlg32\
    -ladvapi32 -lgdi32 -lshell32 -lversion

gnugui.dll : gnuGUI.o gnuGUI-dll.o gnugui.ro fixup.o conDialog.o
standard.o printdlg.o print.o preview.o dispatch.o shell.o
     g++ -dll -o $@ $^ $(LIBS) -Wl,-e,_DllEntry@12,--base-file,dll.base
     dlltool --as=as --dllname gnugui.dll --base-file dll.base --def
gnugui.def --output-lib gnugui.a --output-exp gnugui.exp
     g++ -dll -o $@ $^ $(LIBS) -Wl,-e,_DllEntry@12,gnugui.exp
     dlltool --as=as --dllname gnugui.dll --base-file dll.base --def
gnugui.def --output-lib gnugui.a --output-exp gnugui.exp
     g++ -dll -o $@ $^ $(LIBS) -Wl,-e,_DllEntry@12,gnugui.exp
     rm dll.base gnugui.exp

fixup.o is the import fixup code.  It was compiled with b17.1 I think,
could this be the problem?  Since I don't use Windows NT, I can't test
it.  I'll compile fixup.o with b18 and publish the executables to
http://pages.prodigy.net/britten/gnugui/

[email-masked] wrote:

> I ran this under Winnt 4.0 and nothing happened, so I checked the
> Event
> Viewer and found the following:
>
> Application popup: gui.exe - Bad Image :
> The application or DLL E:\temp\congui\gnugui.dll is not a valid
> Windows NT
> image.
> Please check this against your installation diskette.
>
> Is there something wrong with your distribution package?
>
> Thanks.
>
> Henri Daumas
> IBM
>
> [email-masked] on 07/14/97 12:07:44 PM
>
> To:   [email-masked]
> cc:    (bcc: Henri Daumas/HPSI/US)
> Subject:  Console GUI Utilities
>
> I have updated the Console GUI Utilities(formerly known as GNU GUI).
> So
> far I have one for nm.  I also wrote a generic application to handle
> the
> output of any console application and put the output in a window so
> you
> can scroll through it, copy it to the clipboard, save it to a file.
> You
> can also paste files from the clipboard drop files to be arguments of
> the console program that the front end handles.
> Be warned, though.  Bugs could exist, though most function operate
> correctly.
> The files are at http://pages.prodigy.net/britten/gnugui and they are
> free.  Any feedback is welcome.
> Eric Britten
> [email-masked]
>
> -
> For help on using this list (especially unsubscribing), send a message
> to
> "[email-masked]" with one line of text: "help".

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".